_VampFeature Struct Reference

`#include <vamp.h>`

## Public Attributes

int | hasTimestamp
| 1 if the feature has a timestamp (i.e.
int | sec
| Seconds component of timestamp.
int | nsec
| Nanoseconds component of timestamp.
unsigned int | valueCount
| Number of values.
float * | values
| Values for this returned sample.
char * | label
| Label for this returned sample.

## Detailed Description

Definition at line 174 of file vamp.h.

## Member Data Documentation

## hasTimestamp

int _VampFeature::hasTimestamp

1 if the feature has a timestamp (i.e.

if vampVariableSampleRate).

Definition at line 177 of file vamp.h.

## sec

int _VampFeature::sec

Seconds component of timestamp.

Definition at line 180 of file vamp.h.

## nsec

int _VampFeature::nsec

Nanoseconds component of timestamp.

Definition at line 183 of file vamp.h.

## valueCount

unsigned int _VampFeature::valueCount

Number of values.

Must be binCount if hasFixedBinCount.

Definition at line 186 of file vamp.h.

## values

float* _VampFeature::values

Values for this returned sample.

Definition at line 189 of file vamp.h.

## label

char* _VampFeature::label

Label for this returned sample.

May be NULL.

Definition at line 192 of file vamp.h.

The documentation for this struct was generated from the following file:

- vamp.h